gnet_stats_copy_rate_est
Prev | Generic Network Statistics | Next

## Name

gnet_stats_copy_rate_est — copy rate estimator statistics into statistics TLV

## Synopsis

`int gnet_stats_copy_rate_est (` | struct gnet_dump * | d,
| struct gnet_stats_rate_est * | r`)`;

## Arguments

`d`

  dumping handle

`r`

  rate estimator statistics

## Description

Appends the rate estimator statistics to the top level TLV created by `gnet_stats_start_copy`.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.

Prev | Up | Next
gnet_stats_copy_basic | Home | gnet_stats_copy_queue